{
  "name": "arco-design-pro-vue",
  "description": "Arco Design Pro for Vue",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "author": "ArcoDesign Team",
  "license": "MIT",
  "scripts": {
    "dev": "vite --config ./config/vite.config.dev.mts",
    "build": "vue-tsc --noEmit && vite build --config ./config/vite.config.prod.mts",
    "type:check": "tsc --noEmit && vue-tsc --noEmit --skipLibCheck",
    "eslint": "eslint --max-warnings 0 \"{src,mock,config}/**/*.{vue,js,ts,tsx}\"",
    "eslint:fix": "eslint --max-warnings 0 \"{src,mock,config}/**/*.{vue,js,ts,tsx}\" --fix",
    "stylelint": "stylelint \"**/*.{html,vue,css,less}\"",
    "stylelint:fix": "stylelint \"**/*.{html,vue,css,less}\" --fix",
    "prettier": "prettier --check \"src/**/*.{js,ts,json,tsx,css,scss,vue,html,md}\"",
    "prettier:fix": "prettier --write  \"src/**/*.{js,ts,json,tsx,css,scss,vue,html,md}\"",
    "lint": "pnpm eslint && pnpm stylelint && pnpm prettier",
    "lint:fix": "pnpm eslint:fix && pnpm stylelint:fix && pnpm prettier:fix",
    "lint-staged": "npx lint-staged",
    "clean:cache": "rimraf .eslintcache && rimraf node_modules && pnpm install",
    "prepare": "husky",
    "release": "bumpp",
    "gen:api": "openapi-generator-cli generate -i http://127.0.0.1:12401/api.json -g typescript-axios -o ./src/api/generated  -p withSeparateModelsAndApi=true,modelPackage=models,apiPackage=apis,supportsES6=true,useTagAsApiPackage=true,sortParamsByRequiredFlag=true,snapshot=true"
  },
  "lint-staged": {
    "*.{js,ts,jsx,tsx}": [
      "prettier --write",
      "eslint --fix"
    ],
    "*.vue": [
      "stylelint --fix",
      "prettier --write",
      "eslint --fix"
    ],
    "*.{less,css}": [
      "stylelint --fix",
      "prettier --write"
    ]
  },
  "dependencies": {
    "@arco-design/web-vue": "^2.57.0",
    "@codemirror/commands": "^6.8.1",
    "@codemirror/lang-css": "^6.3.1",
    "@codemirror/lang-javascript": "^6.2.3",
    "@codemirror/language": "^6.11.0",
    "@codemirror/language-data": "^6.5.1",
    "@codemirror/theme-one-dark": "^6.1.2",
    "@codemirror/view": "^6.36.6",
    "@milkdown/kit": "^7.7.0",
    "@milkdown/theme-nord": "^7.7.0",
    "@milkdown/vue": "^7.7.0",
    "@openapitools/openapi-generator-cli": "^2.19.1",
    "@vueuse/core": "^10.11.1",
    "axios": "^1.8.4",
    "codemirror": "^6.0.1",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "echarts": "^5.6.0",
    "lodash": "^4.17.21",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.3.1",
    "query-string": "^9.1.1",
    "rollup": "^4.40.0",
    "sortablejs": "^1.15.6",
    "vue": "^3.5.13",
    "vue-echarts": "^6.7.3",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@arco-plugins/vite-vue": "^1.4.5",
    "@commitlint/cli": "^19.8.0",
    "@commitlint/config-conventional": "^19.8.0",
    "@commitlint/types": "^19.8.0",
    "@eslint/js": "^9.25.1",
    "@types/crypto-js": "^4.2.2",
    "@types/lodash": "^4.17.16",
    "@types/mockjs": "^1.0.10",
    "@types/node": "^22.14.1",
    "@types/nprogress": "^0.2.3",
    "@types/sortablejs": "^1.15.8",
    "@typescript-eslint/eslint-plugin": "^8.31.0",
    "@typescript-eslint/parser": "^8.31.0",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vitejs/plugin-vue-jsx": "^4.1.2",
    "autoprefixer": "^10.4.21",
    "consola": "^3.4.2",
    "cross-env": "^7.0.3",
    "eslint": "^9.25.1",
    "eslint-config-prettier": "^9.1.0",
    "eslint-define-config": "^2.1.0",
    "eslint-plugin-prettier": "^5.2.6",
    "eslint-plugin-vue": "^9.33.0",
    "husky": "^9.1.7",
    "less": "^4.3.0",
    "lint-staged": "^15.5.1",
    "mockjs": "^1.1.0",
    "postcss-html": "^1.8.0",
    "prettier": "^3.5.3",
    "rollup-plugin-visualizer": "^5.14.0",
    "stylelint": "^16.19.0",
    "stylelint-config-recess-order": "^5.1.1",
    "stylelint-config-recommended-vue": "^1.6.0",
    "stylelint-config-standard": "^37.0.0",
    "stylelint-config-standard-less": "^3.0.1",
    "stylelint-config-standard-vue": "^1.0.0",
    "stylelint-order": "^6.0.4",
    "stylelint-prettier": "^5.0.3",
    "typescript": "^5.8.3",
    "unplugin-vue-components": "^0.27.5",
    "vite": "^5.4.15",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-imagemin": "^0.6.1",
    "vite-svg-loader": "^5.1.0",
    "vue-eslint-parser": "^9.4.3",
    "vue-tsc": "^2.2.10"
  },
  "engines": {
    "node": "^18.0.0 || >=20.0.0",
    "pnpm": ">=8.11.0"
  },
  "resolutions": {
    "bin-wrapper": "npm:bin-wrapper-china",
    "gifsicle": "5.2.0"
  },
  "packageManager": "pnpm@10.7.1+sha512.2d92c86b7928dc8284f53494fb4201f983da65f0fb4f0d40baafa5cf628fa31dae3e5968f12466f17df7e97310e30f343a648baea1b9b350685dafafffdf5808"
}
